@echo off

:: В первой строке меняем текущий диск, во второй - замена на диск и путь из которых запущен командный файл(необходимо при запуске от имени администратора)
 %~d0
 cd /D "%~p0"

:: 1)Переменные
  
 set MainKSRSDir=d:\ksrs-control
 set DepKSRSQt=..\Dependencies\Windows\Qt\Qt485
 set TechKSRSSNMP=..\TechControl\SNMP\Windows
 set TechKSRSControl=..\TechControl\Modules\Windows
 set Windows=%SystemRoot%
 set TermModules=..\Terminal\Modules\
 set vc90Debug=Microsoft.VC90.DebugCRT
 set dirMain=%cd%

:: создаем файл с исключением, KARSControl.conf - исключается из копирования 
echo KARSControl.conf>.\exclude.txt


:: 2)проверка директории, если нет создаем

 echo "create main directory (%MainKSRSDir%).. "
 if exist %MainKSRSDir% (echo OK) else (md %MainKSRSDir% && echo OK)
 

cd /d %MainKSRSDir%
 
 echo stop "snmp-collector" service.. 
 snmp-collector.exe --stop
 if %errorlevel% == 0 (echo OK) 
 
 echo "stopping KARSControl.. "
 taskkill /im KARSControl.exe
 if %errorlevel% == 0 (echo OK) else (echo process not running)

  cd /d %dirMain%
 


:: 4) копируем в корень ksrs_control все из папки TechControl

 echo "copy Tech file.. "
 xcopy %TechKSRSControl% %MainKSRSDir%\ /e/y/q/EXCLUDE:.\exclude.txt
 if %errorlevel% == 0 (echo OK) else (echo fail ) 

 xcopy %TechKSRSSNMP%\snmp-collector.exe /e/y %MainKSRSDir%\ /q
 if %errorlevel% == 0 (echo OK) else (echo fail ) 

:: echo "copy Tech file.. "
 ::xcopy %TechKSRSControl%\sounds /e/y %MainKSRSDir%\ /q
 ::if %errorlevel% == 0 (echo OK) else (echo fail ) 



:: 3)дополнительные пакеты - qt, microsoft.vc90

echo "copy Qt file.. "
 xcopy %DepKSRSQt% /e/y %MainKSRSDir% /q || xcopy %DepKSRSQt% /e/y %Windows% /q
 if %errorlevel% == 0 (echo OK) else (echo fail) 
 
 echo "copy %vc90Debug% file.. "
 xcopy %TermModules%\%vc90Debug% /e/y %MainKSRSDir%\%vc90Debug%\ /q
 if %errorlevel% == 0 (echo OK) else (echo fail) 

 echo "copy %vc90Debug% file.. "
 xcopy %TermModules%\%vc90Debug% /e/y %MainKSRSDir%\sqldrivers\%vc90Debug%\ /q
 if %errorlevel% == 0 (echo OK) else (echo fail) 
 
:: 5)Блок сервисов

 cd /d %MainKSRSDir%
 
echo start "snmp-collector" service.. 
 snmp-collector --install
 if %errorlevel% == 0 (echo OK) 
 
echo start "KARSControl.exe" service.. 
 start KARSControl.exe 
 if %errorlevel% == 0 (echo "KARSControl started")

::echo "Setup tech software completed successfully!"

pause
